ApiAgent reply style
Lists the reply style's builds, newest first, with where each is.
Agent admins only.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
agent*string
The agent ID.
tenant*string
The tenant identifier
Query Parameters
PageSize?integer
The maximum number of items to return per page
Format
int32PageToken.Skip?integer
Format
int32PageToken.Cursor?string
Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.
Response Body
curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/replyStyle/builds"{
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"number": 0,
"status": "RUNNING",
"phase": "ESTIMATING",
"newConversations": 0,
"remainingConversations": 0,
"progress": {
"members": 0,
"live": 0,
"done": 0,
"ignored": 0,
"dead": 0,
"alreadyHeld": 0,
"cells": [],
"held": [],
"cost": null,
"credits": null,
"runs": null
},
"estimate": {
"computedAt": 0,
"sampleSize": 0,
"remainingCount": null,
"countIsFloor": false,
"perItemP50": 0,
"perItemP90": 0,
"perItemMax": 0,
"creditsPerItemP90": 0,
"totalP50": 0,
"totalP90": 0,
"creditsP90": 0,
"sampleByStatus": {},
"budgetImpact": [],
"hash": "string",
"insufficient": false
},
"draftVersionNumber": 0,
"detail": "string",
"startedBy": "string",
"createdAt": 0,
"finishedAt": 0
}
],
"nextPageToken": "string",
"totalCount": 0
}Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}